Package org.silverpeas.components.projectmanager.model

## Class ProjectManagerCalendarDAO

- java.lang.Object
- - org.silverpeas.components.projectmanager.model.ProjectManagerCalendarDAO

-     public class ProjectManagerCalendarDAO
      extends Object

  Author:
    neysseri

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addHolidayDate​(Connection con, HolidayDetail holiday)` |
    `static String` | `date2DBDate​(Date date)` |
    `static List<Date>` | `getHolidayDates​(Connection con, String instanceId)` |
    `static List<Date>` | `getHolidayDates​(Connection con, String instanceId, Date beginDate, Date endDate)` |
    `static boolean` | `isHolidayDate​(Connection con, HolidayDetail holiday)` |
    `static void` | `removeAllHolidayDates​(Connection con, String instanceId)` | Removes all the holiday dates that were saved for the specified ProjectManager instance.
    `static void` | `removeHolidayDate​(Connection con, HolidayDetail holiday)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addHolidayDate

          public static void addHolidayDate​(Connection con,
                                            HolidayDetail holiday)
                                     throws SQLException,
                                            org.silverpeas.core.exception.UtilException

      Throws:
        `SQLException`
        `org.silverpeas.core.exception.UtilException`

    - #### removeHolidayDate

          public static void removeHolidayDate​(Connection con,
                                               HolidayDetail holiday)
                                        throws SQLException

      Throws:
        `SQLException`

    - #### removeAllHolidayDates

          public static void removeAllHolidayDates​(Connection con,
                                                   String instanceId)
                                            throws SQLException

      Removes all the holiday dates that were saved for the specified ProjectManager instance.
      Parameters:
        `con` - a connection to the data source into which are stored the holiday dates.
        `instanceId` - the unique identifier of a ProjectManager instance.
      Throws:
        `SQLException` - if an error occurs while deleting the holiday dates.

    - #### isHolidayDate

          public static boolean isHolidayDate​(Connection con,
                                              HolidayDetail holiday)
                                       throws SQLException

      Throws:
        `SQLException`

    - #### getHolidayDates

          public static List<Date> getHolidayDates​(Connection con,
                                                   String instanceId)
                                            throws SQLException

      Throws:
        `SQLException`

    - #### getHolidayDates

          public static List<Date> getHolidayDates​(Connection con,
                                                   String instanceId,
                                                   Date beginDate,
                                                   Date endDate)
                                            throws SQLException

      Throws:
        `SQLException`

    - #### date2DBDate

          public static String date2DBDate​(Date date)